package domain


type WdkWarehouseOrderCancelCancelRequest struct {
    /*
        订单号     */
    SourceOrderCode  *string `json:"source_order_code,omitempty" `

    /*
        子订单号列表     */
    SubBizOrderCodes  *[]string `json:"sub_biz_order_codes,omitempty" `

    /*
        出库单单据类型     */
    OutboundOrderType  *int64 `json:"outbound_order_type,omitempty" `

    /*
        仓编码     */
    WarehouseCode  *string `json:"warehouse_code,omitempty" `

    /*
        渠道来源     */
    SourceFrom  *string `json:"source_from,omitempty" `

}

func (s *WdkWarehouseOrderCancelCancelRequest) SetSourceOrderCode(v string) *WdkWarehouseOrderCancelCancelRequest {
    s.SourceOrderCode = &v
    return s
}
func (s *WdkWarehouseOrderCancelCancelRequest) SetSubBizOrderCodes(v []string) *WdkWarehouseOrderCancelCancelRequest {
    s.SubBizOrderCodes = &v
    return s
}
func (s *WdkWarehouseOrderCancelCancelRequest) SetOutboundOrderType(v int64) *WdkWarehouseOrderCancelCancelRequest {
    s.OutboundOrderType = &v
    return s
}
func (s *WdkWarehouseOrderCancelCancelRequest) SetWarehouseCode(v string) *WdkWarehouseOrderCancelCancelRequest {
    s.WarehouseCode = &v
    return s
}
func (s *WdkWarehouseOrderCancelCancelRequest) SetSourceFrom(v string) *WdkWarehouseOrderCancelCancelRequest {
    s.SourceFrom = &v
    return s
}
